package test

import (
	"fmt"
	activityCfg "server/conf/activity"
	baseCfg "server/conf/base"
	friendCfg "server/conf/friend"
	languageCfg "server/conf/language"
	notification_cfg "server/conf/notification"
	playroomCfg "server/conf/playroom"
	userCfg "server/conf/user"
	GoUtil "server/game_util"
	"server/msg"
	"testing"
)

func Test(t *testing.T) {
	GoUtil.SendFeishuFatal(0, "Test", "error")
	i := userCfg.GetEnergyMulByLv(1)
	fmt.Println(i)
}

func TestGetActivityRecycleMail(t *testing.T) {
	title, mailTitle, mailContent := activityCfg.GetActivityRecycleMail(7)
	fmt.Println("title:", title)
	fmt.Println("mailTitle:", mailTitle)
	fmt.Println("mailContent:", mailContent)
	en := languageCfg.GetLanguage(msg.LANG_TYPE_LANG_CN, mailTitle)
	fmt.Println("en:", en)
}

func TestGetFriendSponsorNum(t *testing.T) {
	r := friendCfg.GetFriendSponsorNum()
	fmt.Println("r:", r)
}

func TestGetPlayroomTaskDailyNum1(t *testing.T) {
	r := playroomCfg.GetPlayroomTaskDailyNum1()
	fmt.Println("r:", r)
}

func TestGetEnergyByADNum(t *testing.T) {
	r := baseCfg.GetEnergyByADNum()
	fmt.Println("r:", r)
}

func TestGetFriendApplyNotificationCooldown(t *testing.T) {
	Cooldown := notification_cfg.GetFriendApplyNotificationCooldown()
	fmt.Println("Cooldown:", Cooldown)
}

func TestGetPetroomGameNotificationCooldown(t *testing.T) {
	Cooldown, dailyLimit := notification_cfg.GetPetroomGameNotificationCooldown()
	fmt.Println("Cooldown:", Cooldown)
	fmt.Println("dailyLimit:", dailyLimit)
}

func TestGetPetroomGameNotificationMsg(t *testing.T) {
	titlekey, infokey := notification_cfg.GetPetroomGameNotificationMsg()
	fmt.Println("titlekey:", titlekey)
	fmt.Println("infokey:", infokey)
}

func TestGetFriendApplyNotificationMsg(t *testing.T) {
	titlekey, infokey := notification_cfg.GetFriendApplyNotificationMsg()
	fmt.Println("titlekey:", titlekey)
	fmt.Println("infokey:", infokey)
}
